Package helma.main

# Class ApplicationManager

java.lang.Object
helma.main.ApplicationManager

All Implemented Interfaces:
  `org.apache.xmlrpc.XmlRpcHandler`

public class ApplicationManager extends Object implements org.apache.xmlrpc.XmlRpcHandler
This class is responsible for starting and stopping Helma applications.

## Constructor Summary

Constructors
Constructor
Description
`ApplicationManager(ResourceProperties props, Server server)`
Creates a new ApplicationManager object.

## Method Summary

Modifier and Type
Method
Description
`protected void`
`checkForChanges()`
Called regularely check applications property file to create and start new applications.
`Object`
`execute(String method, Vector params)`
Implements org.apache.xmlrpc.XmlRpcHandler.execute()
`Application`
`getApplication(String name)`
Get an application by name.
`Object[]`
`getApplications()`
Get an array containing all currently running applications.
`void`
`register(String appName)`
Bind an application by name
`void`
`start(String appName)`
Start an application by name
`void`
`startAll()`
Start all applications listed in the properties
`void`
`stop(String appName)`
Stop an application by name
`void`
`stopAll()`
Stop all running applications.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ApplicationManager

public ApplicationManager(ResourceProperties props, Server server)
Creates a new ApplicationManager object.

Parameters:
  `props` - the properties defining the running apps
  `server` - the server instance

## Method Details

### checkForChanges

protected void checkForChanges()
Called regularely check applications property file to create and start new applications.

### start

public void start(String appName)
Start an application by name

### register

public void register(String appName)
Bind an application by name

### stop

public void stop(String appName)
Stop an application by name

### startAll

public void startAll()
Start all applications listed in the properties

### stopAll

public void stopAll()
Stop all running applications.

### getApplications

public Object[] getApplications()
Get an array containing all currently running applications.

### getApplication

public Application getApplication(String name)
Get an application by name.

### execute

public Object execute(String method, Vector params) throws Exception
Implements org.apache.xmlrpc.XmlRpcHandler.execute()

Specified by:
  `execute` in interface `org.apache.xmlrpc.XmlRpcHandler`
Throws:
  `Exception`